org.apache.cayenne.access

## Class LegacyDataDomainFlushAction

- java.lang.Object
- - org.apache.cayenne.access.LegacyDataDomainFlushAction

- All Implemented Interfaces:
    DataDomainFlushAction

  Deprecated.
  this implementation is deprecated since 4.2, `DefaultDataDomainFlushAction` is used

      @Deprecated
      public class LegacyDataDomainFlushAction
      extends Object
      implements DataDomainFlushAction

  A stateful commit handler used by DataContext to perform commit operation. DataContextCommitAction resolves primary key dependencies, referential integrity dependencies (including multi-reflexive entities), generates primary keys, creates batches for massive data modifications, assigns operations to data nodes.
  Since:
    1.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegacyDataDomainFlushAction(DataDomain domain)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphDiff` | `flush(DataContext context, GraphDiff changes)` Deprecated.
    `JdbcEventLogger` | `getJdbcEventLogger()` Deprecated.
    `void` | `setJdbcEventLogger(JdbcEventLogger logger)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LegacyDataDomainFlushAction

          public LegacyDataDomainFlushAction(DataDomain domain)

      Deprecated.

  - ### Method Detail

    - #### setJdbcEventLogger

          public void setJdbcEventLogger(JdbcEventLogger logger)

      Deprecated.

    - #### getJdbcEventLogger

          public JdbcEventLogger getJdbcEventLogger()

      Deprecated.

    - #### flush

          public GraphDiff flush(DataContext context,
                                 GraphDiff changes)

      Deprecated.
      Specified by:
        `flush` in interface `DataDomainFlushAction`

Copyright © 2001–2021 Apache Cayenne. All rights reserved.